Bug 243783 - Low 3D performance with the new intel video driver
Low 3D performance with the new intel video driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 17:20 EDT by Anton Keks
Modified: 2008-06-16 21:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log with i810 driver - good performance (66.32 KB, text/plain)
2007-06-22 16:53 EDT, Anton Keks
no flags Details
setting the driver to 'intel' crashes the X server (20.53 KB, text/plain)
2007-06-22 17:04 EDT, Anton Keks
no flags Details

  None (edit)
Description Anton Keks 2007-06-11 17:20:09 EDT
Description of problem:
After switching to the new experimental intel video driver 3D performance is
considerably lower, compiz is almost unusable having a few windows open on my
not very recent laptop. When using i810, compiz works very well.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.0.0-3.fc7

How reproducible:
Always

My card is 855GM on a Fujitsu-Siemens S-series lifebook:

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 02) (prog-if 00 [VGA])
        Subsystem: Fujitsu Limited. Unknown device 126d
        Flags: bus master, fast devsel, latency 0, IRQ 11
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Memory at d0000000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at 2450 [size=8]
        Capabilities: [d0] Power Management version 1

00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics
Device (rev 02)
        Subsystem: Fujitsu Limited. Unknown device 126d
        Flags: fast devsel
        Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Memory at d0080000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1

Same stuff with lcpi -vn:

00:02.0 0300: 8086:3582 (rev 02) (prog-if 00 [VGA])
        Subsystem: 10cf:126d
        Flags: bus master, fast devsel, latency 0, IRQ 11
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Memory at d0000000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at 2450 [size=8]
        Capabilities: [d0] Power Management version 1

00:02.1 0380: 8086:3582 (rev 02)
        Subsystem: 10cf:126d
        Flags: fast devsel
        Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Memory at d0080000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1
Comment 1 Matěj Cepl 2007-06-14 11:26:11 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Anton Keks 2007-06-22 16:52:26 EDT
My xorg.conf has nothing special - I haven't edited it myself. In the device
section it has only the driver name, either 'i810' or 'intel'.
Comment 3 Anton Keks 2007-06-22 16:53:50 EDT
Created attachment 157648 [details]
xorg log with i810 driver - good performance
Comment 4 Anton Keks 2007-06-22 17:04:40 EDT
Created attachment 157650 [details]
setting the driver to 'intel' crashes the X server
Comment 5 Anton Keks 2007-06-22 17:07:13 EDT
Unfortuantely, the latest update of the driver is broken, so it cannot be
started setting the driver to 'intel':
xorg-x11-drv-i810-2.0.0-4.fc7

'i810' works as before.
Comment 6 Jesse Barnes 2008-01-10 17:58:04 EST
Hm, weird.  Would it be possible for you to test the git version of the intel 
driver and file a bug upstream if it's still bad for you?

Thanks,
Jesse
Comment 7 Bug Zapper 2008-05-14 09:00:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:32:58 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.